package cn.com.poc.appbuilder.service.impl;

import cn.com.poc.appbuilder.model.BizAppbuilderInfoModel;
import cn.com.poc.appbuilder.repository.BizAppbuilderInfoRepository;
import cn.com.poc.appbuilder.service.BizAppbuilderInfoService;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.yict.framemax.data.model.PagingInfo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 52747
 */
@Service
public class BizAppbuilderInfoServiceImpl extends BaseServiceImpl
        implements BizAppbuilderInfoService {

    @Resource
    private BizAppbuilderInfoRepository repository;

    @Override
    public BizAppbuilderInfoModel get(Integer id) throws Exception {
        return this.repository.get(id);
    }

    @Override
    public List<BizAppbuilderInfoModel> findByExample(BizAppbuilderInfoModel example, PagingInfo pagingInfo) throws Exception {
        if (example == null) {
            example = new BizAppbuilderInfoModel();
        }
        return this.repository.findByExample(example, pagingInfo);
    }


}